[arch-commits] Commit in (4 files)

Bruno Pagani archange at archlinux.org
Mon Jul 27 23:56:44 UTC 2020


    Date: Monday, July 27, 2020 @ 23:56:44
  Author: archange
Revision: 665559

"Initial addition of python-spur, required by python-locket"

Added:
  python-spur/
  python-spur/repos/
  python-spur/trunk/
  python-spur/trunk/PKGBUILD

----------+
 PKGBUILD |   35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

Added: python-spur/trunk/PKGBUILD
===================================================================
--- python-spur/trunk/PKGBUILD	                        (rev 0)
+++ python-spur/trunk/PKGBUILD	2020-07-27 23:56:44 UTC (rev 665559)
@@ -0,0 +1,35 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+
+_pkg=spur
+pkgname=python-${_pkg}
+pkgver=0.3.21
+pkgrel=1
+pkgdesc="Run commands and manipulate files locally or over SSH using the same interface"
+arch=(any)
+url="https://github.com/mwilliamson/spur.py"
+license=(BSD)
+makedepends=(python-setuptools)
+depends=(python python-paramiko)
+checkdepends=(python-nose)
+# No tests in pypi tarballs
+#source=(https://files.pythonhosted.org/packages/source/${_pkg::1}/${_pkg}/${_pkg}-${pkgver}.tar.gz)
+source=(${url}/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz)
+sha256sums=('fb2fbc9a875a90b9e25ae477d7791aa3011a211e33b58de47430828d2786a08f')
+
+build() {
+  cd ${_pkg}.py-${pkgver}
+  python setup.py build
+}
+
+check() {
+  cd ${_pkg}.py-${pkgver}
+  # https://github.com/mwilliamson/spur.py/issues/85
+  nosetests || warning "Tests failed"
+}
+
+package() {
+  cd ${_pkg}.py-${pkgver}
+  python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
+  # Install license file
+  install -Dm644 LICENSE -t "${pkgdir}"/usr/share/licenses/${pkgname}/
+}


More information about the arch-commits mailing list